<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 *
 * @package    PTA
 * @subpackage Activity Summary
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */
class Model_ACTSUM extends ORM_TSM {
	protected $_table_name = 'ACTIVITY_SUMMARY';
	protected $_primary_key = 'START_TIME';
	protected $_sorting = array(
		'START_TIME'=>'ASC',
	);

	protected $_display_filters = array(
		'START_TIME'=>array(
			array('ORM_TSM::date',array(':value','d-M H:i')),
		),
		'END_TIME'=>array(
			array('ORM_TSM::date',array(':value','d-M H:i')),
		),
	);

	public function bytes() {
		return (real)number_format($this->BYTES/1024/1024,0,'','');
	}
}
?>
